﻿@{
    ViewBag.Title = "Financial Impact Indicator";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<link href="~/Content/plugins/bootstrap-combobox/css/bootstrap-combobox.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-combobox/js/bootstrap-combobox.js"></script>

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">

    var oTable;


    $(document).ready(function () {
        var aryColTableChecked = [];
        for (var idx = 1; idx < 7; idx++) {
            aryColTableChecked.push("field" + idx);
        }

        var aoColumnDef = [];

        $.each(aryColTableChecked, function (i, value) {

            var obj = {
                "mData": value, "aTargets": [i]
            }
            if (i == 0) {

                var obj = {
                    "mData": value,
                    "aTargets": [i],
                    "mRender": function (data, type, row) {
                        return '<a class="btn btn-primary btn-xs tblButton" style="width: 30px;" name="btnEdit" aria-label="Edit" data-id="' + data + '" ><i class="glyphicon glyphicon-pencil"></i></a>';

                    },
                    "bSortable": false
                }
            }
            
          
            aoColumnDef.push(obj);
        });

        $("#btnSearch").click(function () {

            if (oTable != null) {
                oTable.fnDestroy();
            }

            oTable = $('#tblData').dataTable({
                "sAjaxSource": "@Url.Action("getFinancialImpactList", "FinancialImpact")",
                "bServerSide": false,
                "bProcessing": true,
                "bSort": false,
                "bPaginate": true,
                "bLengthChange": false,
                "bStateSave": false,
                "bDestroy": true,
                "bRetrieve": true,
                "fnServerData": function (sSource, aoData, fnCallback) {
                    $.ajax({
                        "dataType": "json",
                        "type": "POST",
                        "url": sSource,
                        "data": aoData,
                        "success": fnCallback
                    });
                },
                "sDom": '<"#tblData_header.clearfix "<"pull-left"l><"pull-right"r>><"table-responsive"t><"#ScrollTop"><"#tblData_footer.clearfix "<"pull-left"i><"pull-right"p>>',
                "fnServerParams": function (aoData) {
                    aoData.push({ "name": "year", "value": $('#txtYearComFinData').val() });

                },
                "aoColumnDefs": aoColumnDef,
                "iDisplayLength": 10,
                "oLanguage": {
                    "sProcessing": '<i class="fa fa-spinner fa-spin"></i> Retrieve Data ... ',
                    "sLengthMenu": '_MENU_'
                },
            });

            oTable.fnSettings().aoColumns[0].sClass = "text-center";
            oTable.fnSettings().aoColumns[1].sClass = "text-center";
            oTable.fnSettings().aoColumns[2].sClass = "text-center";
            oTable.fnSettings().aoColumns[3].sClass = "text-center";
            oTable.fnSettings().aoColumns[4].sClass = "text-center";
            oTable.fnSettings().aoColumns[5].sClass = "text-center";
            
            $('#tblData tbody').on('click', 'a', function () {

                var table = $('#tblData').DataTable();
                var row = table.row($(this).parents('tr')).data();
                var action = $(this).attr('aria-label');
                var rowid = $(this).attr('data-id');

                if (action == 'Edit') {
                    window.location.href = '@Url.Action("EditFinancialImpact", "FinancialImpact")?id=' + rowid;
                }


            });
        });

        $("#btnReset").click(function () {

            document.getElementById("txtYearComFinData").value = "";

            $("#btnSearch").click();
        });
    });

   

    $(function () {
        $('#btnSearch').click();
    });

    $(document).ready(function () {
        $("#txtYearComFinData").on('keypress', function (e) {
            if (e.which == 13) {
                $("#btnSearch").trigger('click');
                return false;
            }
        });
        $("#btnSearch").on('click', function () {
            //alert('You press enter');
        });
    });

</script>



<style>
    .label-def-margin {
        margin-top: 10px;
    }
</style>


<div class="col-sm-12">

  <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Search
        </div>
        <div class="panel-body">
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin" for="txtYearComFinData">Year Company Financial Data</label></div>
                <div class="col-sm-3"><input class="form-control" type="text" id="txtYearComFinData" /></div>
            </div>
            <br />
            <div class="row">
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnSearch">
                        <span class="glyphicon glyphicon-search"></span> Search
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnReset">
                        <span class="glyphicon glyphicon-refresh"></span> Reset
                    </button>
                </div>
            </div>
        </div>
    </div>
    <br />

    <div class="panel panel-primary">
        <div class="panel-body">
            <table id="tblData" class="table table-striped table-hover table-bordered" width="100%" style="font-size: 10px; margin-top: 0 !important; margin-bottom: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;">
                <thead class="bg-mantle-gradient">
                    <tr>
                        <th style="width: 50px;">Action &nbsp; </th>
                        <th style="width: 50px;">No &nbsp; </th>
                        <th>Year Company <br> Finance Data &nbsp; </th>
                        <th>Version &nbsp; </th>
                        <th>Last Updated Date &nbsp; </th>
                        <th>Last Updated By &nbsp; </th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</div>
